Subject: bug#70622: [PATCH] New window parameter 'cursor-type'

From: martin rudalics <[email-masked]>
Date: Mon, 29 Apr 2024 11:48:19 +0200

>> Here the window parameter has the same set of possible values as the
 >> variable, except the window parameter also has the value 'none, which
 >> corresponds to the variable's nil value.  The nil value of the window
 >> parameter means "window parameter not set".
 >
 > If this is unavoidable (which I'm not yet sure), we can use this.  But
 > let's first hear from Martin, maybe there are better ideas.

Since I'm responsible for the 'none' convention (which I dislike) I have
no better ideas.  Would it help to make cursor_type a slot in the window
structure and provide a 'set-window-cursor-type' function?

martin